*
{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}
body
{
    font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
    margin: 0;
    background-color: white;
    text-align: justify;
}
a
{
    text-decoration: none;
    color: white;
    padding: 3px;
    font-size: 18px;
}


/*-------------------- PROPIEDADES DE LA PANTALLA DE CARGA --------------------*/

.loader {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #142b6f;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 10000; /* Ajusta el valor del z-index para que sea mayor que el de la navbar y lo cubra por completo */
    opacity: 1; /* Establece la opacidad inicial en 1 */
    transition: opacity 0.5s ease-in-out; /* Agrega una transición de 1 segundo para la opacidad */
}

/* Agrega una clase de 'hide' para ocultar el loader */
.loader.hide {
    opacity: 0; /* Establece la opacidad en 0 al ocultar */
    pointer-events: none; /* Evita eventos del ratón en el loader oculto */
}


/* Estilos para el logo giratorio */
.spinner {
    width: 106.3px; /* Ajusta el tamaño del logo */
    height: 114.5px; /* Ajusta el tamaño del logo */
    animation: spin 2s linear infinite; /* Animación de giro */
}

.static-image {
    position: absolute;
    width: 104.3px; 
    height: 112.5px;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);   
}

/* Animación de giro */
@keyframes spin {
    0% { transform: rotate(0deg); } /* Inicia en 0 grados */
    100% { transform: rotate(360deg); } /* Gira 360 grados */
}

/*-------------------- PROPIEDADES DE LA NAVBAR --------------------*/
header 
{
    min-height: 70px;
    display: flex;
    background-color: #142b6f;
    justify-content: space-between;
    align-items: center;
    padding: 10px;
    width: 100%;
    position: fixed;
    z-index: 10;
    box-shadow: -5px 5px 20px black;
}

/* Posición de elementos dentro de la navbar */
.nav
{
    display: flex;
    align-items: center;
    justify-content: center;
}

/* Posición del título en la navbar */
.logohead
{
    display: flex;
    align-items: center;
}

/* Posición del logo en la navbar */
.logohead img
{
    height: 75px;
    padding-right: 20px;
    padding-left: 15px;
}

/* Contenedor texto "Emiliani Centro Histórico" en la navbar */
#contenedor 
{ 
    max-width: 100%; margin: 1em auto; 
}

#contenedor .palabra 
{ 
    text-align: center; float: left; width: 100%; 
}

/* Texto "Centro Histórico" que va abajo de "Emiliani" en la navbar */
#contenedor .palabra > span 
{ 
    text-decoration: underline; 
}

/* Propiedades de las anclas en la navbar */
nav a
{
    text-align: center;
    font-weight: 900;
    padding-right: 20px;
    padding-left: 20px;
    padding-top: 15px;
    padding-bottom: 15px;
    border-radius: 10px;
    margin: 2.5px;
    transition: background-color 0.2s ease-in-out;
}

/* Menú Desplegable con opacity 0 para que sea invisible*/
.vertical-menu
{
    position: absolute;
    list-style: none;
    background-color: #ffd601;
    border-radius: 15px;
    margin-top: -1%;
    opacity: 0;
    transform: scaleY(0);
    transform-origin: top;
    transition: all 0.3s ease;
    margin-top: 5px;
}


/* Propiedad para que sea visible y animación */
.navegation li:hover .vertical-menu
{
    opacity: 3;
    transform: scaleY(1);
}

/* Propiedades de las anclas en la navbar cuando el cursor está sobre ellas */
nav a:hover
{
    color: white;
    background-color: #ffd601;
    
}

/* Clase para un ancla invisible, el ancla invisible es para crear
    distanciamiento entre la ultima ancla y el límite de la pantalla */
.navinco:hover
{
    background-color: #142b6f;
}

/* Responsive de la Navbar */
@media (max-width: 1313px)
{
    header
    {
        flex-direction: column;
    }

    nav 
    {
        padding: 10px 0px
    };
    
}


/* Clase para que la página actual esté en amarillo sin necesidad del hover */
.actual-page
{
    font-weight: 900;
    padding-right: 30px;
    padding-left: 30px;
    padding-top: 10px;
    padding-bottom: 10px;
    border-radius: 10px;
    color: white;
    background-color: #ffd601;
}

/* Propiedades MENÚ RETRACTIL RESPONSIVE */

.header {
    position: fixed;
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 1000;
}

.header .menu ul li{
    float: left;
    position: relative;
}

.menu ul {
    list-style: none;
}

.navegation ul {
    list-style: none;
}

.navegation {
    margin-right: 50px;
}

.header .navegation ul li {
    float: left;
    position: relative;   
}

.header .navegation ul li a {
    font-size: 18px;
    color: white;
    text-decoration: none;
    padding: 5px 20px;
    display: block;
    transition: all .2s ease;
}

.header .navegation ul li a:hover{
    background-color: #ffd601;
}

.header .navegation ul li:hover > ul {
    display: initial;
}

#toggle,
.header label{
    display: none;
    cursor: pointer;
    background-color: #ffd601;
    border-radius: 4px;
    transition: all .9s ;
    margin-left: 5%;
}

.menu {
    width: 45px;
    height: 45px;
}
/*
* Fin de sección -----------------------------------------------------------------------------------------------------------------------------------
*/





.gallery {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 30px;
    margin: 0 50px 20px 50px;
}

.gallery-item {
    border-radius: 30px;
    width: 100%;
    height: 300px;
    cursor: pointer;
    background-color: #aaa;
}

.modal {
    display: none;
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    margin-top: 100px;
    overflow: auto;
    background-color: rgba(0,0,0,0.8);
    align-items: center;
    justify-content: center;
}

.modal-content {
    margin: auto;
    display: block;
    width: 80%;
    max-width: 700px;
}

.modal img {
    position: absolute;
    top: 45%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: #aaa;
}

.close {
    position: absolute;
    top: 10px;
    right: 25px;
    color: #f1f1f1;
    font-size: 35px;
    font-weight: bold;
}

.close:hover,
.close:focus {
    color: #bbb;
    text-decoration: none;
    cursor: pointer;
}

.prev, .next {
    cursor: pointer;
    position: absolute;
    top: 50%;
    width: auto;
    padding: 16px;
    margin-top: -50px;
    color: white;
    font-weight: bold;
    font-size: 24px;
    transition: 0.6s ease;
    border-radius: 3px;
}

.next {
    right: 0;
}

.prev:hover, .next:hover {
    background-color: rgba(0,0,0,0.8);
}






.pie-pagina{
    width: 100%;
    background-color: #142b6f;
}
.pie-pagina .grupo-1{
    width: 100%;
    max-width: 1200px;
    margin: auto;
    display:grid;
    grid-template-columns: repeat(3, 1fr);
    grid-gap:50px;
    padding: 45px 0px;
}
.pie-pagina .grupo-1 .box figure{
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}
.pie-pagina .grupo-1 .box figure img{
    width: 250px;
}
.pie-pagina .grupo-1 .box h2{
    color: #fff;
    margin-bottom: 25px;
    font-size: 20px;
}
.pie-pagina .grupo-1 .box p{
    text-align: justify;
    color: #efefef;
    margin-bottom: 10px;
}

.pie-pagina .grupo-1 .red-social{
    display: flex;
    justify-content: center;
    text-align: center;
}

.pie-pagina .grupo-1 .red-social a {
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 5px;
    width: 60px;
    height: 60px;
    border-radius: 50%;
    background-color: #ffd601;
}

.pie-pagina .grupo-1 .red-social a img {
    width: 40px;
}

.pie-pagina .grupo-1 .red-social a:hover{
    box-shadow: 1px 1px 8px white;
}
.pie-pagina .grupo-2{
    background-color: #ffd601;
    padding: 15px 10px;
    text-align: center;
    color: #fff;
}
.pie-pagina .grupo-2 small{
    font-size: 15px;
}

/*----------------------------------------------- RESPONSIVE PARA 4/3 -----------------------------------------------*/

@media (min-width: 601px) and (max-width: 1300px) {

    .gallery {
        margin-top: 100px;
        grid-template-columns: repeat(2, 1fr);
    }
    

    /*----------------------------------------------- PIE DE PÁGINA RESPONSIVE -----------------------------------------------*/
  
    .pie-pagina .grupo-1{
        width: 90%;
        grid-template-columns: repeat(1, 1fr);
        grid-gap:30px;
        padding: 35px 10px;
        margin-bottom: 20px;
    }
  
    .pie-pagina .grupo-1 {
        padding: 20px 35px 20px 35px;
    }
  
    .pie-pagina .grupo-1 .red-social {
        display: inline-flex;
    }
  
    .pie-pagina .grupo-1 .box figure {
        justify-content: center;
        text-align: center;
    }
  
    .pie-pagina .grupo-1 .box figure img {
        width: 150px;
        height: 160px;
    }
    .pie-pagina .grupo-2 small{
        font-size: 1em;
    }
  
    .redes a, .btn-mas label{
        display: flex;
        justify-content: center;
        align-items: center;
        text-decoration: none;
        background: #ffd601;
        color: #142b6f;
        width: 55px;
        height: 55px;
        border-radius: 50%;
        box-shadow: 0px 1px 10px rgba(0,0,0,0.4);
        transition: all 500ms ease;
    }
  
    .pie-pagina .grupo-1 .box h2{
        font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
        font-size: 1.5em;
    }
  
    .pie-pagina .grupo-1 .box p {
        font-size: 1em;
    }
  
  }
  
  
  /*----------------------------------------------- RESPONSIVE PARA CELULAR -----------------------------------------------*/
  
  @media (max-width: 600px) {

    .gallery {
        place-items: center;
        grid-template-columns: repeat(1, 1fr);
    }

    .gallery-item {
        width: 130%;
    }
  
    /*----------------------------------------------- POPUP RESPONSIVE -----------------------------------------------*/
  
    .popup {
        width: 100%;
    }
  
    .close-btn {
        background-color: transparent;
        font-size: 20pt;
        display: flex;
        justify-content: center;
        align-items: center;
        border-radius: 50%;
        width: 50px;
        height: 50px;
        top: 80px;
        right: 130px;
    }
  
    .popup-content {
        display: flex;
        justify-content: center;
        align-items: center;
    }
  
    .popup-content a img {
        width: 350px;
        height: auto;
    }
  
    /*----------------------------------------------- MENÚ VERTICAL RESPONSIVE -----------------------------------------------*/
    .vertical-menu
    {
        display: block !important;
        opacity: 3;
        transition: none;
        transform-origin: none;
        transform: none;
        position: unset;
        margin-top: 4%;
        background-color: #142b6f;
        transition: background-color 0.2s ease-in-out;
    }
  
    .vertical-menu:hover
    {
        background-color: #ffd601;
    }
  
    .menu {
        width: 40px;
        height: 40px;
    }
  
    .header label {
        display: initial;
    }
    
    .header {
        flex-direction: row-reverse;
        width: 100%;
    }
    
    .logohead {
        margin-right: 33%;
    }
    
    .palabra {
        display: none;
    }
  
    .logohead img {
        width: 120px;
        height: 90px;
    }
    
    .header .navegation {
        position: absolute;
        top: 100%;
        left: 0;
        right: 0;
        background-color:#142b6f;
        display: none;
        margin: 0;
    }
    
    .header .navegation ul li {
        width: 100%;
        padding: 5px;
    }
    
    .header .navegation ul li a{
        padding:  0px 10px px 10px;
        font-size: 15px;
    }
    
    #toggle:checked ~ .navegation {
        display: block;
        z-index: 100;
    }
  
    /*----------------------------------------------- FOOTER RESPONSIVE -----------------------------------------------*/
  
    .pie-pagina .grupo-1{
        width: 90%;
        grid-template-columns: repeat(1, 1fr);
        grid-gap:30px;
        padding: 35px 10px;
    }
  
    .pie-pagina .grupo-1 .box figure {
        justify-content: center;
        text-align: center;
    }
  
    .pie-pagina .grupo-1 .box figure img {
        width: 150px;
        height: 160px;
    }
    .pie-pagina .grupo-2 small{
        font-size: 1em;
    }
  
    .redes a, .btn-mas label{
        display: flex;
        justify-content: center;
        align-items: center;
        text-decoration: none;
        background: #ffd601;
        color: #142b6f;
        width: 55px;
        height: 55px;
        border-radius: 50%;
        box-shadow: 0px 1px 10px rgba(0,0,0,0.4);
        transition: all 500ms ease;
    }
  
    .pie-pagina .grupo-1 .box h2{
        font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
        font-size: 1.5em;
    }
  
    .pie-pagina .grupo-1 .box p {
        font-size: 1em;
    }
  }
  
  
  
  /*----------------------------------------------- HORIZONTAL CELULAR RESPONSIVE -----------------------------------------------*/
  
  @media (max-width: 900px) and (orientation: landscape) {
  
    /*----------------------------------------------- POPUP RESPONSIVE -----------------------------------------------*/
  
    .popup {
        width: 100%;
        top: 30px;
    }
  
    .close-btn {
        background-color: transparent;
        font-size: 20pt;
        display: flex;
        justify-content: center;
        align-items: center;
        border-radius: 50%;
        width: 50px;
        height: 50px;
        top: 80px;
        right: 130px;
    }
  
    .popup-content {
        display: flex;
        justify-content: center;
        align-items: center;
    }
  
    .popup-content a img {
        width: 350px;
        height: auto;
    }
  
    /*----------------------------------------------- MENÚ VERTICAL RESPONSIVE -----------------------------------------------*/
    .vertical-menu
    {
        display: block !important;
        opacity: 3;
        transition: none;
        transform-origin: none;
        transform: none;
        position: unset;
        margin-top: 2%;
        background-color: #142b6f;
        transition: background-color 0.2s ease-in-out;
    }
  
    .vertical-menu:hover
    {
        background-color: #ffd601;
    }
  
    .menu {
        width: 40px;
        height: 40px;
    }
  
    .header label {
        display: initial;
    }
    
    .header {
        flex-direction: row-reverse;
        width: 100%;
    }
    
    .logohead {
        margin-right: 42%;
    }
    
    .palabra {
        display: none;
    }
  
    .logohead img {
        width: 100px;
        height: auto;
    }
    
    .header .navegation {
        position: absolute;
        top: 100%;
        left: 0;
        right: 0;
        background-color:#142b6f;
        display: none;
        margin: 0;
    }
    
    .header .navegation ul li {
        width: 100%;
        padding: 5px;
    }
    
    .header .navegation ul li a{
        padding:  0px 10px px 10px;
        font-size: 15px;
    }
    
    #toggle:checked ~ .navegation {
        display: block;
        z-index: 100;
    }
  
    .pie-pagina .grupo-1 .red-social {
        display: inline-flex;
    }
  
    /*----------------------------------------------- FOOTER RESPONSIVE -----------------------------------------------*/
  
    .pie-pagina .grupo-1{
        width: 90%;
        grid-template-columns: repeat(1, 1fr);
        grid-gap:30px;
        padding: 35px 10px;
        margin-bottom: 20px;
    }
  
    .pie-pagina .grupo-1 {
        padding: 20px 35px 20px 35px;
    }
  
    .pie-pagina .grupo-1 .red-social {
        display: inline-flex;
    }
  
    .pie-pagina .grupo-1 .box figure {
        justify-content: center;
        text-align: center;
    }
  
    .pie-pagina .grupo-1 .box figure img {
        width: 150px;
        height: 160px;
    }
    .pie-pagina .grupo-2 small{
        font-size: 1em;
    }
  
    .redes a, .btn-mas label{
        display: flex;
        justify-content: center;
        align-items: center;
        text-decoration: none;
        background: #ffd601;
        color: #142b6f;
        width: 55px;
        height: 55px;
        border-radius: 50%;
        box-shadow: 0px 1px 10px rgba(0,0,0,0.4);
        transition: all 500ms ease;
    }
  
    .pie-pagina .grupo-1 .box h2{
        font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
        font-size: 1.5em;
    }
  
    .pie-pagina .grupo-1 .box p {
        font-size: 1em;
    }
  }